%define plugname imms
%define name beep-media-player-%plugname
%define version 1.0
%define release 3mdk

Summary:	An intelligent playlist plug-in for Beep Media Player
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{plugname}-%{version}.tar.bz2
Patch0:		%{plugname}-1.0-xmms2beep.patch.bz2
License:	GPL
Group:		Sound
Url:		http://www.luminal.org/wiki/index.php/IMMS/IMMS
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	beep-media-player
BuildRequires:	beep-media-player-devel
BuildRequires:	autoconf2.5
BuildRequires:	sqlite-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	pcre-devel
BuildRequires:	libid3-devel
Obsoletes:	beepmp-%{plugname}
Provides:	beepmp-%{plugname}

%description
IMMS is an intelligent playlist plug-in for Beep Media Player that tracks the
user's listening patterns and dynamically adapts to his/her taste. It is
incredibly unobtrusive and easy to use as it requires no direct user
interaction.

%prep
%setup -q -n %{plugname}-%{version}
%patch0 -p1

%build
make configure
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/%{_libdir}/bmp/Visualization
%make install-system DESTDIR=%buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE INSTALL README
%_libdir/bmp/Visualization/libimms.so

%changelog
* Wed Feb 18 2004 Michael Reinsch <mr@uue.org> 1.0-3mdk
- renamed to beep-media-player-imms

* Sun Feb 1 2004 Franck Villaume <fvill@freesurf.fr> 1.0-2mdk
- some buildrequires

* Sun Jan 25 2004 Michael Reinsch <mr@uue.org> 1.0-1mdk
- new version

* Fri Jan 23 2004 Michael Reinsch <mr@uue.org> 0.9.9-1mdk
- forked from xmms-imms
